Bug 110410 - Adaptec 29160 hangs on a IBM DPSS-318350N with driver version 6.2.36 of fedora core 1
Adaptec 29160 hangs on a IBM DPSS-318350N with driver version 6.2.36 of fedor...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-19 06:01 EST by Vincent Fortier
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:41:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vincent Fortier 2003-11-19 06:01:48 EST
Distribution: Fedora Core 1

Hardware Environment:
Asus CUV4x-D BIOS 1016
Adaptec 29160 (aic7892 bios 3.10)
   - 1st drive ID 0: Seagate ST31846LW
   - 2nd drive ID 1: IBM DPSS-318350N (BIOS S80D)

Software Environment: aic7xxx driver version 6.2.36 of kernel 2.4.22
of fedoracore 1

Problem Description: When loading the aic7xxx driver module it writes
down:

scsi0: Unexpected busfree while idle
SEQADDR == 0x1
---> loops for a while <---
* CRC Value mismatch(scsi0:A:0:0): parity error detected in Data-in
phase SEQADDR(0x6c) SCSIRATE(0xc2)
---> note: I've also seen SEQADDR(0x7d) while making tests <---

Steps to reproduce: Just plug in the IBM SCSI drive.

How reproducible: everytime

Additional info:

Here is some more info while using aic7xxx_old driver instead which
works prettywell.

[root@localhost aic7xxx]# dmesg | more
PCI: Found IRQ 5 for device 00:0a.0
PCI: Sharing IRQ 5 with 00:04.2
PCI: Sharing IRQ 5 with 00:04.3
(scsi0) <Adaptec AIC-7892 Ultra 160/m SCSI host adapter> found at PCI
0/10/0
(scsi0) Wide Channel, SCSI ID=7, 32/255 SCBs
(scsi0) Downloading sequencer code... 396 instructions downloaded
scsi0 : Adaptec AHA274x/284x/294x (EISA/VLB/PCI-Fast SCSI) 5.2.4/5.2.0
      
<Adaptec AIC-7892 Ultra 160/m SCSI host adapter>
blk: queue c224f614, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: SEAGATE   Model: ST318436LW        Rev: 0010
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue c224f414, I/O limit 4095Mb (mask 0xffffffff)
  Vendor: IBM       Model: DPSS-318350N      Rev: S80D
  Type:   Direct-Access                      ANSI SCSI revision: 03
blk: queue c224f814, I/O limit 4095Mb (mask 0xffffffff)
Attached scsi disk sda at scsi0, channel 0, id 0, lun 0
Attached scsi disk sdb at scsi0, channel 0, id 1, lun 0
(scsi0:0:0:0) Synchronous at 160.0 Mbyte/sec, offset 31.SCSI device
sda: 35885168 512-byte hdwr sectors (18373 MB)
 sda: sda1 sda2 sda3(scsi0:0:1:0) Synchronous at 160.0 Mbyte/sec,
offset 63.SCSI device
 sdb: 35843670 512-byte hdwr sectors (18352 MB) sdb: sdb1

[root@localhost root]# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: SEAGATE  Model: ST318436LW       Rev: 0010
  Type:   Direct-Access                    ANSI SCSI revision: 03Host:
scsi0 Channel: 00 Id: 01 Lun: 00
  Vendor: IBM      Model: DPSS-318350N     Rev: S80D
  Type:   Direct-Access                    ANSI SCSI revision: 03

[root@localhost aic7xxx]# cat /proc/scsi/aic7xxx/0
Adaptec AIC7xxx driver version: 5.2.4/5.2.0
Compile Options:
  TCQ Enabled By Default : Enabled
  AIC7XXX_PROC_STATS     : Enabled

Adapter Configuration:
           SCSI Adapter: Adaptec AIC-7892 Ultra 160/m SCSI host adapter
                         Ultra-160/m LVD/SE Wide Controller at PCI 0/10/0
    PCI MMAPed I/O Base: 0xd3800000 Adapter SEEPROM Config: SEEPROM
found and used.
      Adaptec SCSI BIOS: Enabled
                    IRQ: 5
                   SCBs: Active 0, Max Active 32,
                         Allocated 93, HW 32, Page 255
             Interrupts: 45349
      BIOS Control Word: 0xb8f4
   Adapter Control Word: 0x7c5d
   Extended Translation: Enabled
Disconnect Enable Flags: 0xffff
     Ultra Enable Flags: 0x0000
 Tag Queue Enable Flags: 0x0003
Ordered Queue Tag Flags: 0x0003
Default Tag Queue Depth: 32
    Tagged Queue By Device array for aic7xxx host instance 0:
      {0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}
    Actual queue depth per device for aic7xxx host instance 0:
      {32,32,1,1,1,1,1,1,1,1,1,1,1,1,1,1}

Statistics:

(scsi0:0:0:0)
  Device using Wide/Sync transfers at 160.0 MByte/sec, offset 31 
Transinfo settings: current(9/31/1/2), goal(9/127/1/2),
user(9/127/1/2)  Total transfers 44879 (22671 reads and 22208 writes)
           
 < 2K      2K+     4K+     8K+    16K+    32K+    64K+   128K+  
Reads:      53      40   14748    1821    2871    2836     158     144
 Writes:       9       2   12149    3975    1725    1056    1206    2086

(scsi0:0:1:0)  Device using Wide/Sync transfers at 160.0 MByte/sec,
offset 63  Transinfo settings: current(9/63/1/2), goal(9/127/1/2),
user(9/127/1/2)  Total transfers 99 (99 reads and 0 writes)            
 < 2K      2K+     4K+     8K+    16K+    32K+    64K+   128K+  
Reads:      18      30      19      32       0       0       0       0
 Writes:       0       0       0       0       0       0       0       0
Comment 1 David Lawrence 2004-09-29 15:41:55 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.